Bundles
List Bundles
Retrieve a paginated list of price bundles
GET
/
price-bundles
curl "https://api.alguna.io/price-bundles?page=1&limit=25" \
-H "Authorization: Bearer YOUR_API_KEY"
const bundles = await alguna.priceBundles.list({
page: 1,
limit: 25
});
{
"name": "Premium Bundle",
"description": "A bundle including premium features and services.",
"prices": [
{
"type": "unit",
"productId": {
"Type": "digital"
},
"billingInterval": "monthly",
"unitPricingModel": {
"pricePerUnit": {
"value": "59.99"
}
},
"tieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 100,
"pricePerUnit": {
"value": "0.10"
},
"fixedFee": {
"value": "5.00"
}
}
]
},
"fixedPricingModel": {
"pricePerUnit": {
"value": "24.99"
},
"units": 2,
"total": {
"value": "49.98"
}
},
"graduatedPercentagePricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 100,
"fixedFee": {
"value": "10.00"
},
"percentage": {
"value": "15"
}
}
]
},
"prepaidFixedTieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 50,
"pricePerUnit": {
"value": "0.15"
},
"fixedFee": {
"value": "2.00"
}
}
],
"units": 100
},
"prepaidTieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 75,
"pricePerUnit": {
"value": "0.20"
},
"fixedFee": {
"value": "3.00"
}
}
],
"units": 50
},
"volumePercentagePricingModel": {
"pricePerUnit": {
"value": "0.05"
},
"percentage": {
"value": "10"
},
"fixedFee": {
"value": "5.00"
}
},
"discount": {
"discountType": "percentage",
"amount": {
"value": "10.00"
},
"periodLength": 6,
"periodType": "months",
"endDate": "2009-11-10T23:00:00Z"
},
"trialPeriodDays": 30,
"minimumSpend": {
"amount": {
"value": "100.00"
},
"period": "monthly"
},
"maximumSpend": {
"amount": {
"value": "500.00"
},
"period": "monthly"
}
}
]
}
Retrieves a paginated list of all price bundles.
Query Parameters
integer
default:"1"
The page number to retrieve (1-indexed).
integer
default:"10"
The number of bundles to return per page. Must be one of:
5, 10, 25, 50, or 100. Values exceeding 100 are capped automatically.curl "https://api.alguna.io/price-bundles?page=1&limit=25" \
-H "Authorization: Bearer YOUR_API_KEY"
const bundles = await alguna.priceBundles.list({
page: 1,
limit: 25
});
Response
{
"name": "Premium Bundle",
"description": "A bundle including premium features and services.",
"prices": [
{
"type": "unit",
"productId": {
"Type": "digital"
},
"billingInterval": "monthly",
"unitPricingModel": {
"pricePerUnit": {
"value": "59.99"
}
},
"tieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 100,
"pricePerUnit": {
"value": "0.10"
},
"fixedFee": {
"value": "5.00"
}
}
]
},
"fixedPricingModel": {
"pricePerUnit": {
"value": "24.99"
},
"units": 2,
"total": {
"value": "49.98"
}
},
"graduatedPercentagePricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 100,
"fixedFee": {
"value": "10.00"
},
"percentage": {
"value": "15"
}
}
]
},
"prepaidFixedTieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 50,
"pricePerUnit": {
"value": "0.15"
},
"fixedFee": {
"value": "2.00"
}
}
],
"units": 100
},
"prepaidTieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 75,
"pricePerUnit": {
"value": "0.20"
},
"fixedFee": {
"value": "3.00"
}
}
],
"units": 50
},
"volumePercentagePricingModel": {
"pricePerUnit": {
"value": "0.05"
},
"percentage": {
"value": "10"
},
"fixedFee": {
"value": "5.00"
}
},
"discount": {
"discountType": "percentage",
"amount": {
"value": "10.00"
},
"periodLength": 6,
"periodType": "months",
"endDate": "2009-11-10T23:00:00Z"
},
"trialPeriodDays": 30,
"minimumSpend": {
"amount": {
"value": "100.00"
},
"period": "monthly"
},
"maximumSpend": {
"amount": {
"value": "500.00"
},
"period": "monthly"
}
}
]
}
[]Bundle
An array of bundle objects.
Show Bundle Properties
Show Bundle Properties
string
The unique identifier for the bundle.
string
The name of the bundle.
string
A brief description of the bundle.
[]Price
An array of pricing objects included in the bundle.
Show Price Object Properties
Show Price Object Properties
string
The unique identifier for the pricing object.
string
The pricing model type.
Product
The product associated with the pricing object.
Show Product Properties
Show Product Properties
string
The unique identifier for the product.
string
The name of the product.
string
A brief description of the product.
string
The billing frequency of the product.
string
The payment terms for the product.
string
The pricing model type used by the product.
[]string
The identifiers for the associated metrics.
string
The billing interval for the pricing.
object
Details for the fixed pricing model.
object
Details for the tiered pricing model.
object
Details for the unit pricing model.
datetime
The timestamp when the pricing object was created.
datetime
The timestamp when the pricing object was last updated.
number
The total number of pages available in the response.
number
The maximum number of items returned per page.
integer
Total number of pages available based on the current limit.
integer
The number of items per page used for this request.
⌘I
curl "https://api.alguna.io/price-bundles?page=1&limit=25" \
-H "Authorization: Bearer YOUR_API_KEY"
const bundles = await alguna.priceBundles.list({
page: 1,
limit: 25
});
{
"name": "Premium Bundle",
"description": "A bundle including premium features and services.",
"prices": [
{
"type": "unit",
"productId": {
"Type": "digital"
},
"billingInterval": "monthly",
"unitPricingModel": {
"pricePerUnit": {
"value": "59.99"
}
},
"tieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 100,
"pricePerUnit": {
"value": "0.10"
},
"fixedFee": {
"value": "5.00"
}
}
]
},
"fixedPricingModel": {
"pricePerUnit": {
"value": "24.99"
},
"units": 2,
"total": {
"value": "49.98"
}
},
"graduatedPercentagePricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 100,
"fixedFee": {
"value": "10.00"
},
"percentage": {
"value": "15"
}
}
]
},
"prepaidFixedTieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 50,
"pricePerUnit": {
"value": "0.15"
},
"fixedFee": {
"value": "2.00"
}
}
],
"units": 100
},
"prepaidTieredPricingModel": {
"tiers": [
{
"minUnits": 1,
"maxUnits": 75,
"pricePerUnit": {
"value": "0.20"
},
"fixedFee": {
"value": "3.00"
}
}
],
"units": 50
},
"volumePercentagePricingModel": {
"pricePerUnit": {
"value": "0.05"
},
"percentage": {
"value": "10"
},
"fixedFee": {
"value": "5.00"
}
},
"discount": {
"discountType": "percentage",
"amount": {
"value": "10.00"
},
"periodLength": 6,
"periodType": "months",
"endDate": "2009-11-10T23:00:00Z"
},
"trialPeriodDays": 30,
"minimumSpend": {
"amount": {
"value": "100.00"
},
"period": "monthly"
},
"maximumSpend": {
"amount": {
"value": "500.00"
},
"period": "monthly"
}
}
]
}